Billing
Get agency wallet usage
Read agency wallet usage over the requested dates and reporting granularity, using the current employee's reporting timezone.
GET
/v1/agencies/{agencyId}/wallet/usageRead agency wallet usage over the requested dates and reporting granularity, using the current employee's reporting timezone.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
agencyId*string
Length
1 <= lengthQuery Parameters
startDate*string
ISO 8601 timestamp including a timezone offset.
Format
date-timeendDate*string
ISO 8601 timestamp including a timezone offset.
Format
date-timegranularity*string
Value in
- "daily"
- "weekly"
- "monthly"
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/agencies/string/wallet/usage?startDate=2019-08-24T14%3A15%3A22Z&endDate=2019-08-24T14%3A15%3A22Z&granularity=daily" \ -H "Authorization: Bearer YOUR_API_KEY"{ "data": { "usage": [ { "date": "string", "usage": 0, "earned": 0 } ] }, "meta": { "requestId": "string" }}